package org.apache.pdfbox.multipdf;

import org.apache.pdfbox.cos.COSDictionary;
import org.apache.pdfbox.cos.COSStream;
import org.apache.pdfbox.pdmodel.common.PDRectangle;

/**
 * Stores the overlay page information.
 */
public final class OverlayPage
{
    final PDRectangle overlayMediaBox;
    final COSStream overlayContentStream;
    final COSDictionary overlayResources;

    OverlayPage(final PDRectangle mediaBox, final COSStream contentStream,
            final COSDictionary resources)
    {
        overlayMediaBox = mediaBox;
        overlayContentStream = contentStream;
        overlayResources = resources;
    }

    public PDRectangle getOverlayMediaBox() {
        return overlayMediaBox;
    }
}
